is_finite
is_nan
Math Functions
PHP Manual

# is_infinite

Finds whether a value is infinite

### Description

bool is_infinite ( float `$val` )

Returns `TRUE` if `val` is infinite (positive or negative), like the result of log(0) or any value too big to fit into a float on this platform.

### Parameters

`val`

  The value to check

### Return Values

`TRUE` if `val` is infinite, else `FALSE`.

### See Also

- is_finite
- is_nan